Package Details: qdigidoc 3.13.6.1525-2

Git Clone URL: https://aur.archlinux.org/qdigidoc.git (read-only)
Package Base: qdigidoc
Description: Qt based UI application for verifying and signing digital signatures
Upstream URL: http://www.id.ee/
Keywords: esteid
Licenses: LGPL2.1
Submitter: kevku
Maintainer: kevku
Last Packager: kevku
Votes: 9
Popularity: 0.001059
First Submitted: 2012-12-12 12:20
Last Updated: 2018-06-01 14:44

Pinned Comments

kevku commented on 2018-06-13 16:30

new version at https://aur.archlinux.org/packages/qdigidoc4/

Latest Comments

kevku commented on 2018-06-13 16:30

new version at https://aur.archlinux.org/packages/qdigidoc4/

Hankur commented on 2018-06-01 08:17

I ran into an error installing the package:

CMake Warning (dev) at extensions/nautilus/CMakeLists.txt:2 (project):
  Policy CMP0048 is not set: project() command manages VERSION variables.
  Run "cmake --help-policy CMP0048" for policy details.  Use the cmake_policy
  command to set the policy and suppress this warning.

  The following variable(s) would be set to empty:

    PROJECT_VERSION
    PROJECT_VERSION_MAJOR
    PROJECT_VERSION_MINOR
    PROJECT_VERSION_PATCH
This warning is for project developers.  Use -Wno-dev to suppress it.

-- Found Gettext: /usr/bin/msgmerge (found version "0.19.8.1") 
-- Found PkgConfig: /usr/bin/pkg-config (found version "1.4.2") 
-- Checking for module 'libpcsclite'
--   Found libpcsclite, version 1.8.23
-- Found PCSC-Lite: /usr/lib/libpcsclite.so  
CMake Error at common/qtsingleapplication/CMakeLists.txt:8 (qt5_use_modules):
  Unknown CMake command "qt5_use_modules".


-- Configuring incomplete, errors occurred!
See also "/tmp/yaourt-tmp-hans/aur-qdigidoc/src/qdigidoc-build/CMakeFiles/CMakeOutput.log".
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Makepkg was unable to build qdigidoc.

CMakeOutput.log: https://pastebin.com/BEnsaE3m

kevku commented on 2018-03-28 16:04

you can use https://aur.archlinux.org/packages/xxd-standalone/

tindzk commented on 2018-03-27 19:08

I have neovim and neovim-symlinks installed. When I try to install this package, it tries to replace neovim by gvim:

aura >>= Determining dependencies...
aura >>= Repository dependencies:
gvim
opensc
xalan-c
xerces-c
xsd

aura >>= AUR Packages:
libdigidocpp
qdigidoc
xml-security-c

aura >>= Continue? [Y/n] Y
resolving dependencies...
looking for conflicting packages...
:: gvim and neovim-symlinks are in conflict (vim). Remove neovim-symlinks? [y/N] N
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: gvim and neovim-symlinks are in conflict

mehine2 commented on 2018-02-12 12:18

I have the same problem on one of my machines.

yupi commented on 2018-01-12 09:48

The latest (december's) update of the digidoc stack broke signing for me. (it does not matter whether offical opensc or opensc-esteid is installed). E.g.,

~$ qdigidocclient

Chache configuration serial: 49

Bundled configuration serial: 49

QObject: Cannot create children for a parent that is in a different thread.

(Parent is QSigner(0x55f9fc6ef260), parent's thread is

QThread(0x55f9fc39b580), current thread is QSigner(0x55f9fc6ef260)

Loading: "opensc-pkcs11.so"

"OPENSC PROJECT (2.20)"

"OPENSC SMARTCARD FRAMEWORK (0.17)"

Flags: 0

Segmentation fault (core dumped)

aleppik commented on 2017-11-09 06:24

Found solution
remove qdigidoc - yaourt -R qdigidoc

Remove obsolete - sudo pacman -Rns $(pacman -Qtdq)

install again - yaourt -S qdigidoc

Manjaro Linux

/usr/lib/gcc/x86_64-pc-linux-gnu/7.2.0/../../../../lib/libdigidocpp.so: undefined reference to `xercesc_3_1::XMLString::transcode(unsigned short const*, xercesc_3_1::MemoryManager*)'
collect2: error: ld returned 1 exit status
make[2]: *** [client/CMakeFiles/qdigidocclient.dir/build.make:607: client/qdigidocclient] Error 1
make[1]: *** [CMakeFiles/Makefile2:469: client/CMakeFiles/qdigidocclient.dir/all] Error 2
make: *** [Makefile:130: all] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build qdigidoc.

ShareDVI commented on 2017-07-01 08:49

/usr/bin/ld: warning: libcrypto.so.1.1, needed by /usr/lib/libcurl.so.4, may conflict with libcrypto.so.1.0.0
../crypto/libqdigidoccrypto.a(MainWindow.cpp.o): In function `Crypto::MainWindow::addFile(QString const&)':
MainWindow.cpp:(.text+0x9a5): undefined reference to `CryptoDoc::isNull() const'
MainWindow.cpp:(.text+0x1011): undefined reference to `CryptoDoc::clear(QString const&)'
...
../crypto/libqdigidoccrypto.a(moc_compilation.cpp.o):(.data.rel.ro._ZTV10LdapSearch[_ZTV10LdapSearch]+0x48): undefined reference to `LdapSearch::timerEvent(QTimerEvent*)'
collect2: error: ld returned 1 exit status
make[2]: *** [client/CMakeFiles/qdigidocclient.dir/build.make:609: client/qdigidocclient] Error 1
make[1]: *** [CMakeFiles/Makefile2:469: client/CMakeFiles/qdigidocclient.dir/all] Error 2
make: *** [Makefile:130: all] Error 2
==> ERROR: A failure occurred in build().
Aborting...
:: failed to build qdigidoc package(s)

yupi commented on 2016-02-03 18:13

@mareke
I had the same error. Full update + restart will fix it.

mareke commented on 2016-02-02 18:19

I'm getting error:
crypto/CMakeFiles/qdigidoccrypto.dir/build.make:95: recipe for target 'crypto/CMakeFiles/qdigidoccrypto.dir/CryptoDoc.cpp.o' failed
make[2]: *** [crypto/CMakeFiles/qdigidoccrypto.dir/CryptoDoc.cpp.o] Error 1
CMakeFiles/Makefile2:373: recipe for target 'crypto/CMakeFiles/qdigidoccrypto.dir/all' failed
make[1]: *** [crypto/CMakeFiles/qdigidoccrypto.dir/all] Error 2
Makefile:127: recipe for target 'all' failed
make: *** [all] Error 2

All comments